package net.grandnature.android.soundball;

import android.app.Activity;
import android.media.AudioFormat;
import android.media.AudioManager;
import android.media.AudioTrack;
import android.os.Bundle;

public class AudioTrackTestActivity extends Activity {
	private AudioTrack at;
	private short[] soundData; // f[^i[z
	                           // ʎqx16rbgɂ̂short^ɂ
	private int sampleRate = 8000; // TvOg
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        // sing̐
		// short^̔zāAsingi[        
        soundData = new short[sampleRate];
		for (int i = 0; i < sampleRate; i++) {
			double d = 0.5 * Math.sin(2.0 * Math.PI * 440.0f * i /sampleRate);
			soundData[i] = (short)(d * 32767.0);
		}

		// AudioTrack̃CX^X̐
        at = new AudioTrack(AudioManager.STREAM_MUSIC,
        		sampleRate, // TvOg̐ݒ
        		AudioFormat.CHANNEL_CONFIGURATION_MONO, // mݒ
        		AudioFormat.ENCODING_PCM_16BIT, // ʎqx16rbgɐݒ
        		soundData.length*2, // obt@[̑傫̐ݒ
        		AudioTrack.MODE_STATIC);
        // f[^̓zAudioTrack̃CX^Xɏ
		at.write(soundData, 0, soundData.length);
    }
    @Override
    public void onStart(){
    	super.onStart();
    	at.play(); // Đ
    }
}