package net.grandnature.android.soundball;

import android.app.Activity;
import android.media.AudioManager;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

/**
 * アクティビティ
 */
public class SoundballActivity extends Activity {
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// フルスクリーン・タイトル非表示
		getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		// 音量調整ボタンでメディア再生音量を変更できるように指定
		setVolumeControlStream(AudioManager.STREAM_MUSIC);
		setContentView(R.layout.main);
	}

	@Override
	public void onPause() {
		getWindow().clearFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN);
		super.onPause();
	}
}